##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (GPGswitch-Lang)	= PkgName
# sampledir (sampledir)		= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for GPGswitch-Lang

%define name		ksm-gpgswitch-lang
%define version		2.0.6
%define release		12.0.0
%define _arch		noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _sysddir	/etc/systemd/system
%define _bindir		/usr/local/bin
%define _sbindir	/usr/local/sbin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/de/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/de/man8
%define _docdir		/usr/local/share/doc/packages/%{name}
%define _langdir	/usr/local/share/ksm-gpgswitch/lang

Summary:	Additional languages for ksm-gpgswitch
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Networking/Email/Security
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	gpgswitch-langpkg,gpgswitch-langcapab
Requires:	ksm-gpgswitch = %{version}-%{release}
#Provides:	gpgswitch-langd
#Conflicts:	gpgswitch-langd-other,libgpgswitch-lang == 0.0.0
#Obsoletes:	mygpgswitch-langd

%description
This package contains additional languages for the package ksm-gpgswitch. 
Here comes support for german.

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/gpgswitch-lang.conf
#%config %{_confdir}/gpgswitch-lang.conf
#%config %{_scnfdir}/gpgswitch-lang
#%{_confdir}/gpgswitch-lang.conf

#%attr(744,root,root)/%{_rcdir}/gpgswitch-langd
#%attr(777,root,root)%{_bindir}/rcgpgswitch-langd

#%attr(755,root,root)%{_bindir}/gpgswitch-lang

%{_datadir}/RELEASE
%{_datadir}/VERSION

%{_langdir}/gpgswitch.de
%{_langdir}/gpgswitchconfig.de
%{_langdir}/gpgswitchd.sh.de
%{_langdir}/keymand.sh.de
%{_langdir}/makegpgcert.de
%{_langdir}/replgpgswvar.de
%{_langdir}/run-gpgswitchd.de
%{_langdir}/togglegpgswitch.de
%{_langdir}/update-gpgswitch.de

#/usr/share/applications/gpgswitch-lang.desktop
#%{_icondir}/16x16/apps/gpgswitch-lang.png
#%{_icondir}/22x22/apps/gpgswitch-lang.png
#%{_icondir}/32x32/apps/gpgswitch-lang.png
#%{_icondir}/48x48/apps/gpgswitch-lang.png
#%{_icondir}/64x64/apps/gpgswitch-lang.png
#%{_icondir}/128x128/apps/gpgswitch-lang.png
#/usr/share/pixmaps/gpgswitch-lang.png

%docdir %{_man1dir}
%{_man1dir}/gpgswitch.1.gz
%{_man1dir}/makegpgcert.1.gz
%{_man1dir}/replgpgswvar.1.gz
%{_man1dir}/update-gpgswitch.1.gz

%docdir %{_man8dir}
%{_man8dir}/gpgswitchconfig.8.gz
%{_man8dir}/gpgswitchd.sh.8.gz
%{_man8dir}/keymand.sh.8.gz
%{_man8dir}/togglegpgswitch.8.gz
%{_man8dir}/run-gpgswitchd.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
%{_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
#test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
#test -e %{_scnfdir}/sample.conf && cp %{_scnfdir}/sample.conf %{_scnfdir}/sample.conf.rpmsave

# disable sample daemon and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop -q > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
#xdg-desktop-menu uninstall \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	if [ -e %{_sysddir}/ksm-sample.service ]; then
#		systemctl stop ksm-sample.service
#		systemctl disable ksm-sample.service
#		rm %{_sysddir}/ksm-sample.service
#		systemctl daemon-reload
#	fi
#else							# SysV init
#	test -x %{_rcdir}/ksm-sample && %{_rcdir}/ksm-sample stop > /dev/null 2>&1
#	insserv -r ksm-sample
#	rm -f %{_rcdir}/ksm-sample
#	rm -f %{_sbindir}/rcksm-sample
#fi

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/sample.conf
#cnfvars='MyVar1 MyVar2'

#c='' s='' t='' cnt=0 i=0 ret=0

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# INIT SCRIPT/SYSTEMD UNIT - install samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	cp --preserve=mode %{_datadir}/ksm-sample.service %{_sysddir}/
#	systemctl daemon-reload
#	systemctl enable ksm-sample.service
#
#	echo "The unit is already added to the bootprocess."
#	echo "Next configure the $cf"
#	echo "If wanted start it within yast or manual with:"
#	echo "systemctl start ksm-sample.service"
#else							# SysV init
#	cp --preserve=mode %{_datadir}/ksm-sample.rc %{_rcdir}/ksm-sample
#	ln -sf %{_rcdir}/ksm-sample %{_sbindir}/rcksm-sample
#	insserv ksm-sample
#
#	echo "The script is already added to the bootprocess."
#	echo "Next configure the $cf"
#	echo "If wanted start it within yast or manual with rcksm-sample"
#fi

#if [ "$1" == 1 ]; then					# install package
#	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
#else							# upgrade package
#	# update global conf
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#
#		# update conf vars START -------------------------------------
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#		# update conf vars STOP --------------------------------------
#
#		# update array vars START ------------------------------------
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------
#
#		# compare new conf vars <--> old conf vars
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#
#	echo "If new version then users must update HOME/.samplerc with update-sample"
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

#if [ "$1" == 0 ]; then					# remove package
	# backup config files
	#test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
	#test -e %{_scnfdir}/sample.conf && cp %{_scnfdir}/sample.conf %{_scnfdir}/sample.conf.rpmsave

	# disable sample daemon and stop sampled
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop

	# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
	#if [ -d %{_sysddir} ]; then			# systemd
	#	if [ -e %{_sysddir}/ksm-sample.service ]; then
	#		systemctl stop ksm-sample.service
	#		systemctl disable ksm-sample.service
	#		rm %{_sysddir}/ksm-sample.service
	#		systemctl daemon-reload
	#	fi
	#else						# SysV init
	#	test -x %{_rcdir}/ksm-sample && %{_rcdir}/ksm-sample stop > /dev/null 2>&1
	#	insserv -r ksm-sample
	#	rm -f %{_rcdir}/ksm-sample
	#	rm -f %{_sbindir}/rcksm-sample
	#fi
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/sampledir
#else							# upgrade package
fi
exit 0

%changelog
* Thu May 11 2023 Repomaster <repomaster@kaesmann-online.de> 2.0.6-12.0.0
- Package ksm-gpgswitch has been revised/improved.
  The language package follows this.

* Sun Feb 06 2022 Repomaster <repomaster@kaesmann-online.de> 2.0.6-11.1.0
- Package ksm-gpgswitch has been revised/improved.
  The language package follow this.

* Fri Jan 07 2022 Repomaster <repomaster@kaesmann-online.de> 2.0.6-11.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-10.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-9.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-8.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Mon May 04 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-7.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Wed Apr 29 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-6.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Tue Jan 28 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-5.0.0
- Package ksm-gpgswitch has been revised/improved.
  (The language package follow this).

* Fri Apr 20 2018 Repomaster <repomaster@kaesmann-online.de> 2.0.6-4.1.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Thu Apr 19 2018 Repomaster <repomaster@kaesmann-online.de> 2.0.6-4.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Fri Feb 10 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-3.2.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Fri Feb 10 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-3.1.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Thu Feb 09 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-3.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Fri Feb 03 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.5.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Thu Feb 02 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.4.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Thu Feb 02 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.3.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Thu Feb 02 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.2.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Wed Feb 01 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.1.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Tue Jan 31 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.0.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Mon Jan 30 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.5.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Sat Jan 28 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.4.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Sat Jan 28 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.3.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Mon Jan 16 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.2.0
- Package ksm-gpgswitch has been revised.
  (The language package follow this).

* Wed Nov 09 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.1.0
- Package ksm-gpgswitch has changed Version/Release.

* Sat Apr 09 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.0.0
- Package ksm-gpgswitch has changed Version/Release
  (deleted keymand-userstart).

* Fri Apr 08 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.6-0.0.0
- Package ksm-gpgswitch has changed Version/Release
  (deleted keymand-userstop).

* Mon Jan 25 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.5-1.1.0
- Package ksm-gpgswitch has changed Version/Release.

* Mon Jan 25 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.5-1.0.0
- Added german language file and manpage for replgpgswvar.

* Sun Jan 24 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.5-0.0.0
- The dependencies have been changed.

* Sun Jan 24 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.0.0
- The package has been revised.

* Sat Jan 23 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.0-0.0.0
- This is the 1. version.
